package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Map;

/**
 * 各景区默认配置对象 sys_scenic_default
 * 
 * @author haotian
 * @date 2024-12-13
 */
public class SysScenicDefault extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增 */
    private Long id;

    /** 景区id */
    @Excel(name = "景区id")
    private Long scenicId;

    /** 分区 */
    @Excel(name = "分区")
    private String part;

    /** 默认价格 */
    @Excel(name = "默认价格")
    private String price;

    /** 默认展示作品地址 */
    @Excel(name = "默认展示作品地址")
    private String workAddress;

    // json 话的价格
    private Map<String, String> priceJson;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setScenicId(Long scenicId) 
    {
        this.scenicId = scenicId;
    }

    public Long getScenicId() 
    {
        return scenicId;
    }
    public void setPart(String part) 
    {
        this.part = part;
    }

    public String getPart() 
    {
        return part;
    }
    public void setPrice(String price) 
    {
        this.price = price;
    }

    public String getPrice() 
    {
        return price;
    }
    public void setWorkAddress(String workAddress) 
    {
        this.workAddress = workAddress;
    }

    public String getWorkAddress() 
    {
        return workAddress;
    }

    public Map<String, String> getPriceJson() {
        return priceJson;
    }

    public void setPriceJson(Map<String, String> priceJson) {
        this.priceJson = priceJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("scenicId", getScenicId())
            .append("part", getPart())
            .append("price", getPrice())
            .append("workAddress", getWorkAddress())
            .append("createTime", getCreateTime())
            .toString();
    }
}
